> For the complete documentation index, see [llms.txt](https://docs.wisej.com/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/api/wisej.web/enumerations/wisej.web.shortcut.md).

# Shortcut

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

Specifies shortcut keys that can be used by menu items.

{% tabs %}
{% tab title="C#" %}

```csharp
public enum Shortcut : Enum
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Enum Shortcut As [Enum]
```

{% endtab %}
{% endtabs %}

## Fields

| Name              | Description                                       |
| ----------------- | ------------------------------------------------- |
| **Alt0**          | The shortcut keys ALT+0.                          |
| **Alt1**          | The shortcut keys ALT+1.                          |
| **Alt2**          | The shortcut keys ALT+2.                          |
| **Alt3**          | The shortcut keys ALT+3.                          |
| **Alt4**          | The shortcut keys ALT+4.                          |
| **Alt5**          | The shortcut keys ALT+5.                          |
| **Alt6**          | The shortcut keys ALT+6.                          |
| **Alt7**          | The shortcut keys ALT+7.                          |
| **Alt8**          | The shortcut keys ALT+8.                          |
| **Alt9**          | The shortcut keys ALT+9.                          |
| **AltBackspace**  | The shortcut keys ALT+BACKSPACE.                  |
| **AltDownArrow**  | The shortcut keys ALT+DOWNARROW.                  |
| **AltF1**         | The shortcut keys ALT+F1.                         |
| **AltF10**        | The shortcut keys ALT+F10.                        |
| **AltF11**        | The shortcut keys ALT+F11.                        |
| **AltF12**        | The shortcut keys ALT+F12.                        |
| **AltF2**         | The shortcut keys ALT+F2.                         |
| **AltF3**         | The shortcut keys ALT+F3.                         |
| **AltF4**         | The shortcut keys ALT+F4.                         |
| **AltF5**         | The shortcut keys ALT+F5.                         |
| **AltF6**         | The shortcut keys ALT+F6.                         |
| **AltF7**         | The shortcut keys ALT+F7.                         |
| **AltF8**         | The shortcut keys ALT+F8.                         |
| **AltF9**         | The shortcut keys ALT+F9.                         |
| **AltLeftArrow**  | The shortcut keys ALT+LEFTARROW.                  |
| **AltRightArrow** | The shortcut keys ALT+RIGHTARROW.                 |
| **AltUpArrow**    | The shortcut keys ALT+UPARROW.                    |
| **Ctrl0**         | The shortcut keys CTRL+0.                         |
| **Ctrl1**         | The shortcut keys CTRL+1.                         |
| **Ctrl2**         | The shortcut keys CTRL+2.                         |
| **Ctrl3**         | The shortcut keys CTRL+3.                         |
| **Ctrl4**         | The shortcut keys CTRL+4.                         |
| **Ctrl5**         | The shortcut keys CTRL+5.                         |
| **Ctrl6**         | The shortcut keys CTRL+6.                         |
| **Ctrl7**         | The shortcut keys CTRL+7.                         |
| **Ctrl8**         | The shortcut keys CTRL+8.                         |
| **Ctrl9**         | The shortcut keys CTRL+9.                         |
| **CtrlA**         | The shortcut keys CTRL+A.                         |
| **CtrlB**         | The shortcut keys CTRL+B.                         |
| **CtrlC**         | The shortcut keys CTRL+C.                         |
| **CtrlD**         | The shortcut keys CTRL+D.                         |
| **CtrlDelete**    | The shortcut keys CTRL+DELETE.                    |
| **CtrlE**         | The shortcut keys CTRL+E.                         |
| **CtrlF**         | The shortcut keys CTRL+F.                         |
| **CtrlF1**        | The shortcut keys CTRL+F1.                        |
| **CtrlF10**       | The shortcut keys CTRL+F10.                       |
| **CtrlF11**       | The shortcut keys CTRL+F11.                       |
| **CtrlF12**       | The shortcut keys CTRL+F12.                       |
| **CtrlF2**        | The shortcut keys CTRL+F2.                        |
| **CtrlF3**        | The shortcut keys CTRL+F3.                        |
| **CtrlF4**        | The shortcut keys CTRL+F4.                        |
| **CtrlF5**        | The shortcut keys CTRL+F5.                        |
| **CtrlF6**        | The shortcut keys CTRL+F6.                        |
| **CtrlF7**        | The shortcut keys CTRL+F7.                        |
| **CtrlF8**        | The shortcut keys CTRL+F8.                        |
| **CtrlF9**        | The shortcut keys CTRL+F9.                        |
| **CtrlG**         | The shortcut keys CTRL+G.                         |
| **CtrlH**         | The shortcut keys CTRL+H.                         |
| **CtrlI**         | The shortcut keys CTRL+I.                         |
| **CtrlInsert**    | The shortcut keys CTRL+INSERT.                    |
| **CtrlJ**         | The shortcut keys CTRL+J.                         |
| **CtrlK**         | The shortcut keys CTRL+K.                         |
| **CtrlL**         | The shortcut keys CTRL+L.                         |
| **CtrlM**         | The shortcut keys CTRL+M.                         |
| **CtrlN**         | The shortcut keys CTRL+N.                         |
| **CtrlO**         | The shortcut keys CTRL+O.                         |
| **CtrlP**         | The shortcut keys CTRL+P.                         |
| **CtrlQ**         | The shortcut keys CTRL+Q.                         |
| **CtrlR**         | The shortcut keys CTRL+R.                         |
| **CtrlS**         | The shortcut keys CTRL+S.                         |
| **CtrlShift0**    | The shortcut keys CTRL+SHIFT+0.                   |
| **CtrlShift1**    | The shortcut keys CTRL+SHIFT+1.                   |
| **CtrlShift2**    | The shortcut keys CTRL+SHIFT+2.                   |
| **CtrlShift3**    | The shortcut keys CTRL+SHIFT+3.                   |
| **CtrlShift4**    | The shortcut keys CTRL+SHIFT+4.                   |
| **CtrlShift5**    | The shortcut keys CTRL+SHIFT+5.                   |
| **CtrlShift6**    | The shortcut keys CTRL+SHIFT+6.                   |
| **CtrlShift7**    | The shortcut keys CTRL+SHIFT+7.                   |
| **CtrlShift8**    | The shortcut keys CTRL+SHIFT+8.                   |
| **CtrlShift9**    | The shortcut keys CTRL+SHIFT+9.                   |
| **CtrlShiftA**    | The shortcut keys CTRL+SHIFT+A.                   |
| **CtrlShiftB**    | The shortcut keys CTRL+SHIFT+B.                   |
| **CtrlShiftC**    | The shortcut keys CTRL+SHIFT+C.                   |
| **CtrlShiftD**    | The shortcut keys CTRL+SHIFT+D.                   |
| **CtrlShiftE**    | The shortcut keys CTRL+SHIFT+E.                   |
| **CtrlShiftF**    | The shortcut keys CTRL+SHIFT+F.                   |
| **CtrlShiftF1**   | The shortcut keys CTRL+SHIFT+F1.                  |
| **CtrlShiftF10**  | The shortcut keys CTRL+SHIFT+F10.                 |
| **CtrlShiftF11**  | The shortcut keys CTRL+SHIFT+F11.                 |
| **CtrlShiftF12**  | The shortcut keys CTRL+SHIFT+F12.                 |
| **CtrlShiftF2**   | The shortcut keys CTRL+SHIFT+F2.                  |
| **CtrlShiftF3**   | The shortcut keys CTRL+SHIFT+F3.                  |
| **CtrlShiftF4**   | The shortcut keys CTRL+SHIFT+F4.                  |
| **CtrlShiftF5**   | The shortcut keys CTRL+SHIFT+F5.                  |
| **CtrlShiftF6**   | The shortcut keys CTRL+SHIFT+F6.                  |
| **CtrlShiftF7**   | The shortcut keys CTRL+SHIFT+F7.                  |
| **CtrlShiftF8**   | The shortcut keys CTRL+SHIFT+F8.                  |
| **CtrlShiftF9**   | The shortcut keys CTRL+SHIFT+F9.                  |
| **CtrlShiftG**    | The shortcut keys CTRL+SHIFT+G.                   |
| **CtrlShiftH**    | The shortcut keys CTRL+SHIFT+H.                   |
| **CtrlShiftI**    | The shortcut keys CTRL+SHIFT+I.                   |
| **CtrlShiftJ**    |                                                   |
| **CtrlShiftK**    | The shortcut keys CTRL+SHIFT+K.                   |
| **CtrlShiftL**    | The shortcut keys CTRL+SHIFT+L.                   |
| **CtrlShiftM**    | The shortcut keys CTRL+SHIFT+M.                   |
| **CtrlShiftN**    | The shortcut keys CTRL+SHIFT+N.                   |
| **CtrlShiftO**    | The shortcut keys CTRL+SHIFT+O.                   |
| **CtrlShiftP**    | The shortcut keys CTRL+SHIFT+P.                   |
| **CtrlShiftQ**    | The shortcut keys CTRL+SHIFT+Q.                   |
| **CtrlShiftR**    | The shortcut keys CTRL+SHIFT+R.                   |
| **CtrlShiftS**    | The shortcut keys CTRL+SHIFT+S.                   |
| **CtrlShiftT**    | The shortcut keys CTRL+SHIFT+T.                   |
| **CtrlShiftU**    | The shortcut keys CTRL+SHIFT+U.                   |
| **CtrlShiftV**    | The shortcut keys CTRL+SHIFT+V.                   |
| **CtrlShiftW**    | The shortcut keys CTRL+SHIFT+W.                   |
| **CtrlShiftX**    | The shortcut keys CTRL+SHIFT+X.                   |
| **CtrlShiftY**    | The shortcut keys CTRL+SHIFT+Y.                   |
| **CtrlShiftZ**    | The shortcut keys CTRL+SHIFT+Z.                   |
| **CtrlT**         | The shortcut keys CTRL+T.                         |
| **CtrlU**         | The shortcut keys CTRL+U.                         |
| **CtrlV**         | The shortcut keys CTRL+V.                         |
| **CtrlW**         | The shortcut keys CTRL+W.                         |
| **CtrlX**         | The shortcut keys CTRL+X.                         |
| **CtrlY**         | The shortcut keys CTRL+Y.                         |
| **CtrlZ**         | The shortcut keys CTRL+Z.                         |
| **Delete**        | The shortcut key DELETE.                          |
| **Enter**         | The shortcut key ENTER.                           |
| **Escape**        | The shortcut key ESCAPE.                          |
| **F1**            | The shortcut key F1.                              |
| **F10**           | The shortcut key F10.                             |
| **F11**           | The shortcut key F11.                             |
| **F12**           | The shortcut key F12.                             |
| **F2**            | The shortcut key F2.                              |
| **F3**            | The shortcut key F3.                              |
| **F4**            | The shortcut key F4.                              |
| **F5**            | The shortcut key F5.                              |
| **F6**            | The shortcut key F6.                              |
| **F7**            | The shortcut key F7.                              |
| **F8**            | The shortcut key F8.                              |
| **F9**            | The shortcut key F9.                              |
| **Insert**        | The shortcut key INSERT.                          |
| **None**          | No shortcut key is associated with the menu item. |
| **ShiftDelete**   | The shortcut keys SHIFT+DELETE.                   |
| **ShiftF1**       | The shortcut keys SHIFT+F1.                       |
| **ShiftF10**      | The shortcut keys SHIFT+F10.                      |
| **ShiftF11**      | The shortcut keys SHIFT+F11.                      |
| **ShiftF12**      | The shortcut keys SHIFT+F12.                      |
| **ShiftF2**       | The shortcut keys SHIFT+F2.                       |
| **ShiftF3**       | The shortcut keys SHIFT+F3.                       |
| **ShiftF4**       | The shortcut keys SHIFT+F4.                       |
| **ShiftF5**       | The shortcut keys SHIFT+F5.                       |
| **ShiftF6**       | The shortcut keys SHIFT+F6.                       |
| **ShiftF7**       | The shortcut keys SHIFT+F7.                       |
| **ShiftF8**       | The shortcut keys SHIFT+F8.                       |
| **ShiftF9**       | The shortcut keys SHIFT+F9.                       |
| **ShiftInsert**   | The shortcut keys SHIFT+INSERT.                   |

## Used By

| Name                                                                                                                        | Description                                                                             |
| --------------------------------------------------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------- |
| [Button.Shortcut](/api/wisej.web/buttons/button.md#shortcut)                                                                | Returns or sets a value indicating the shortcut key associated with the button.         |
| [MenuItem.Shortcut](/api/wisej.web/menus/wisej.web.menuitem.md#shortcut)                                                    | Returns or sets a value indicating the shortcut key associated with the menu item.      |
| [ButtonExtensions.Shortcut](/api/wisej.web.markup/extensions/wisej.web.markup.buttonextensions.md#shortcut-button-shortcut) | Sets the Shortcut property of the specified [Button](/api/wisej.web/buttons/button.md). |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/enumerations/wisej.web.shortcut.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
